<?php 
require_once "../modelos/Tipopagos.php";

$tipopagos=new Tipopagos();

$idtipopagos=isset($_POST["idtipopagos"])? limpiarCadena($_POST["idtipopagos"]):"";
$nombre=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
	if (empty($idtipopagos)) {
		$rspta=$tipopagos->insertar($nombre);
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	}else{
         $rspta=$tipopagos->editar($idtipopago,$nombre);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	}
		break;
	

	case 'desactivar':
		$rspta=$tipopagos->desactivar($idtipopago);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
		break;
	case 'activar':
		$rspta=$tipopagos->activar($idtipopago);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
		break;
	
	case 'mostrar':
		$rspta=$tipopagos->mostrar($idtipopago);
		echo json_encode($rspta);
		break;

	case 'selecttipopagos':
		$rspta=$tipopagos->select();
		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idtipopago.'>'.$reg->nombre.'</option>';
		}
	break;	
		
	case 'listar':
		$rspta=$tipopagos->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idtipopago.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idtipopago.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idtipopago.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idtipopago.')">
						<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
            "2"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
		break;
}
 ?>